@media print {
  html, body {
    height: 99%;
    page-break-after: avoid;
    page-break-before: avoid;
  }
}

:root {
  -webkit-print-color-adjust: exact;
}

body,
table {
  font-family: arial;
  font-size: 10pt;
}

body {
  background: #ccc;
  padding: 0em;
}

td,
th {
  border-right: 1px solid #ddd;
  border-bottom: 1px solid #bbb;
  padding: 0.2em 0.5em;
}

input {
  width: 3em;
  border: 1px solid silver;
  background: yellow;
  text-align: right;
}

a {
  color: blue;
  font-family: arial;
  font-size: 9pt;
}

button {
  font-size: 8pt;
  padding: 0.2em 0.5em;
  margin: 0em 0.2em;
}

p {
  margin: 0.5em;
}

.TResults th {
  background: #333;
  color: #bbb;
}

.TResults tr {
  height: 33px;
}

.GPungency,
.GLF,
.GMethyl {
  position: absolute;
  left: -56%;
  bottom: 0px;
  width: 100%;
}

.arrow {
  border-right: 6px solid; 
  border-bottom: 6px solid;
  height: 6px;
  width: 6px;
  transform: rotate(-45deg);
  position: absolute;
}

#DDoc a {
  color: white;
  font-weight: bold;
}

@media screen {
  #DDoc {
    padding: 0.5em;
    width: 8in;
    background: #333;
    color: white;
    margin: auto;
    border-right: 2px solid black;
    border-bottom: 2px solid black;
    border-left: 1px solid gray;
    border-top: 1px solid gray;
  }

  .DReport {
    position: relative;
    padding: 0.3in 0.2in;
    width: 7.75in;
    height: 10.5in;
    margin: auto;
    background: white;
    border-right: 2px solid black;
    border-bottom: 2px solid black;
    border-left: 1px solid gray;
    border-top: 1px solid gray;
  }

  .Report {
    border-bottom: 3px solid silver;
  }
}

@media print {
  @page {
    size: portrait;
  }

  body {
    background: white;
    padding: 0em;
  }

  input {
    background: white;
    border: none;
  }

  .noprint {
    display: none;
  }
}

#DDoc {
  display: none;
}

.DReport {
  width: 7.75in;
  height: 10in;
  margin: auto;
  background: white;
  margin-top: 0.5em;
}

.DPage2 {
  height: 9.5in;
  width: 7.75in;
  margin: auto;
  background: white;
  border-right: 2px solid black;
  border-bottom: 2px solid black;
  border-left: 1px solid gray;
  border-top: 1px solid gray;
  font: 18px calibri;
  padding: 1em;
  page-break-after: always;
}

.IPungency, .ILF, .IMethyl {
  text-align: right;
}

.bar {
  position: absolute;
  width: 130px;
  text-align: center;
}

.bar .header {
  font-weight: bold;
  background: #333;
  padding: 0.5em;
  color: white;
}

.bar .graph {
  position: relative;
}

.bar table {
  width: 100%;
  height: 100%;
}

.bar td {
  border: none;
}

.bar .graph > div:nth-child(1) {
  border: 1px solid black;
  height: 200px;
  position: relative;
}

.bar .graph > div:nth-child(2) {
  color: white;
  position: absolute;
  top: 0%;
  width: 100%;
}

div > .Pun > .graph {
  background-image: linear-gradient(darkgreen, lightgreen, yellow, red);
}

div > .LF > .graph {
  background-image: linear-gradient(darkgreen, lightgreen, yellow, tomato, red);
}

div > .Methyl > .graph {
  background-image: linear-gradient(darkgreen, green, lightgreen, yellow, tomato, red);
}

.bar .graph > div:nth-child(3) {
  color: white;
  position: absolute;
  width: 100%;
}

.bar .graph > div:nth-child(3) td {
  vertical-align: bottom;
}

.bar .graph > div:nth-child(4) {
  color: #333;
  position: absolute;
  top: -2%;
  left: 102%;
}

.bar .graph > div:nth-child(5) {
  color: #333;
  position: absolute;
  height: 10px;
  left: 102%;
}

.bar .graph > div:nth-child(6) {
  color: #333;
  position: absolute;
  bottom: -3%;
  left: 102%;
}

.bar .graph > div:nth-child(7) {
  position: absolute;
  left: 1%;
  width: 98%;
  border-top: 1px solid gray;
  border-bottom: 1px solid white;
}

footer {
  font: 12pt calibri;
  text-align: center;
  width: 100%;
  margin-top: 27em;
  position: absolute;
  bottom: 20px;
}

.Report {
  page-break-after: always;
  height: 10in;
  position: relative;
}

.DReport:last-child .Report {
  page-break-after: avoid !important;
}

button.email {
  display: none;
}

#emailBody {
  display: none;
  border: 1px solid #ddd;
  background: white;
  box-shadow: 5px 5px 3px 3px rgba(0, 0, 0, 0.2);
  width: 7in;
}

table em {
  font-family: arial;
  font-size: 10pt;
}

footer div {
  font-size: 8.5pt;
}

.Pun {
  top: 0px; 
  left: 260px;
}

.Lf {
  top: 0px; 
  left: 420px;
}

.Met {
  top: 0px; 
  left: 580px;
  zdisplay: none;
}

.Met table,
.Lf table,
.Pun table {
  border: none;
}

.Report > div {
  position: relative;
}

.Report > p {
  font-size: 120%;
  font-weight: bold;
}

.Report > table {
  width: 100%;
  font-family: calibri;
  font-size: 12pt;
}

.OI,
.OI td {
  border: none;
}

.OI td:nth-child(2) {
   width: 37%;
}

.CI {
  border: 1px solid black;
  line-height: 1.5em;
  height: 160px;
}

.CI tr {
  vertical-align: top;
}

.CI td {
  width: 33.33%;
}

.Report center {
  font-size: 17pt;
  font-weight: bold;
}

.aReport {
  display: none !important;
  font-size: 10pt;
}

.Report img {
  height: 60px;
}

#emailBody,
#DDoc a:nth-child(3) {
  display: none;
}

.Sample {
  font-weight: bold;
}